Bug 1249170

Summary: intel graphics displays ghost of previous windows
Product: [Fedora] Fedora Reporter: Aurelien Naldi <aurelien.naldi>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 27CC: aurelien.naldi, buzire.rhn, gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda, markg61, mchehab
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: jforbes: needinfo?
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-04-28 13:17:06 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
ghost of a closed nautilus window none

Description Aurelien Naldi 2015-07-31 13:34:30 EDT
Created attachment 1058104 [details]
ghost of a closed nautilus window

Since my update to fedora 22 a few months ago, I have a strange display corruption: a window which has been displayed for a while leaves a ghost, especially on screen borders.


It does not look like a problem with the screen itself (as old CRTs used to show) as it only happens when the OS is running and not in the BIOS, but it does survive a reboot: the same ghost remains visible in the boot screen (between grub and gdm). It happens both on the main integrated screen and on external ones.
It is most visible in my gnome-shell session, but I also see it in gdm and in other desktop environments, as well as in the boot splash.
Furthermore the corruption is not captured in a screenshot, only by taking an actual photo.
Thus, my uneducated guess is that the problem is at the kernel level (I had it with all kernels from 4.0.3 to the current 4.1.3).


The attached image shows a ghost of a nautilus window while only a blue-ish background should be visible.


Hardware: integrated intel graphics on an haswell core i5 (2nd gen lenovo carbon X1). My desktop computer with similar hardware (haswell corei5) does not have the same problem.
Comment 1 Justin M. Forbes 2015-10-20 15:29:28 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 2 Aurelien Naldi 2015-10-21 06:43:22 EDT
I can confirm that the issue is still there in fedora 23
Comment 3 Mark 2016-01-16 00:48:05 EST
Similar bug for me but only on boot. Since upgrade to 4.3.3-300 boot display first 3 lines of messages. Then the screen sort of blanks, but it's really a gray color with a ghost image of some previous display. When the hard drive stops I know it's at login so I close the laptop lid to suspend, open the lid to resume and the login appears normal.

i7-6700HQ, Intel Skylake HD Graphics ULT GT2.
Comment 4 buzire.rhn 2016-09-23 01:25:00 EDT
This existed since at least Fedora 22, still present in F23.

The ghosts don't show up on boot in F23 any longer.
They don't appear on screenshots.


Graphics: Intel 3000

00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
Comment 5 Laura Abbott 2016-09-23 15:36:59 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 6 Aurelien Naldi 2016-09-24 20:23:17 EDT
I still have this issue on fedora 24 with the latest updates
Comment 7 Aurelien Naldi 2016-10-19 06:59:15 EDT
The Fedora 25 preview is affected as well
Comment 8 Laura Abbott 2017-01-16 20:16:26 EST
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.
Comment 9 Aurelien Naldi 2017-01-17 11:54:42 EST
yes, it still happens with kernel 4.9.3 on fedora 25
Comment 10 Justin M. Forbes 2017-04-11 10:44:12 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.
Comment 11 Justin M. Forbes 2017-04-28 13:17:06 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 12 Aurelien Naldi 2017-05-02 05:19:29 EDT
I still see this problem with kernels 4.10.9 and 4.10.10 in fedora 25
Comment 13 Aurelien Naldi 2017-05-06 13:43:14 EDT
I still have the problem with 4.10.13 on fedora 26 and with 4.11 snapshot from fedora 26
Comment 14 Aurelien Naldi 2017-05-06 13:43:38 EDT
I still have the problem with 4.10.13 on fedora 25 and with 4.11 snapshot from fedora 26
Comment 15 Laura Abbott 2018-02-27 22:48:53 EST
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.
Comment 16 Aurelien Naldi 2018-03-12 08:51:20 EDT
This problem is still there on fedora 27 (kernel version 4.15.6)
Comment 17 Justin M. Forbes 2018-07-23 11:13:17 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.